%global packname  affy
%global Rvers     3.4.0

Name:             R-%{packname}
Version:          1.58.0
Release:          2%{dist}
Summary:          Methods for Affymetrix Oligonucleotide Arrays

Group:            Applications/Engineering 
License:          LGPLv2+ 
URL:              http://bioconductor.org/packages/release/bioc/html/affy.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/affy_%{version}.tar.gz

Requires:         R-core >= %{Rvers} R-Biobase >= 2.5.5 R-tkWidgets R-preprocessCore R-affyio >= 1.13.3 R-BiocGenerics >= 0.1.12
Requires:         R-graphics R-grDevices R-methods R-stats R-utils
BuildRequires:    R-devel >= %{Rvers} tex(latex) R-Biobase >= 2.5.5 R-tkWidgets R-preprocessCore-devel R-affyio >= 1.13.3
BuildRequires:    R-BiocGenerics >= 0.1.12 R-graphics R-grDevices R-methods R-stats R-utils 
BuildRequires:    zlib-devel

%description
The package contains functions for exploratory oligonucleotide array 
analysis. 

The dependancy to tkWidgets only concerns few convenience 
functions. 'affy' is fully functional without it.

%prep
%setup -q -c -n %{packname}

sed -i '/importFrom(zlibbioc)/d' affy/NAMESPACE
sed -i '/importFrom(BiocInstaller, biocinstallRepos)/d' affy/NAMESPACE
sed -i '/import(zlibbioc)/d' affy/NAMESPACE

sed -i -e 's/BiocInstaller,//' affy/DESCRIPTION
sed -i -e 's/zlibbioc//' affy/DESCRIPTION

cat affy/DESCRIPTION affy/NAMESPACE

%build

%install
rm -rf %{buildroot}


# x86/x86_64 -> Architecture dependent package
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
# Circular dependency with affydata
#%{_bindir}/R CMD check %{packname}


%files
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/CITATION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/tests

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.58.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 16 2018 Tom Callaway <spot@fedoraproject.org> - 1.58.0-1
- update to 1.58.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.54.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.54.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.54.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 24 2017 Tom Callaway <spot@fedoraproject.org> - 1.54.0-1
- update to 1.54.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.40.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.40.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.40.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.40.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 pingou <pingou@pingoured.fr> 1.40.0-1
- Update to version 1.40.0

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.38.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 pingou <pingou@pingoured.fr> 1.38.1-1
- Update to version 1.38.1

* Sun Apr 07 2013 pingou <pingou@pingoured.fr> 1.38.0-1
- Update to version 1.38.0

* Wed Feb 13 2013 pingou <pingou@pingoured.fr> 1.36.1-1
- Update to version 1.36.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Feb 11 2012 pingou <pingou@pingoured.fr> 1.32.1-1
- Update to version 1.32.1

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> 1.32.0-1
- update to 1.32.0

* Wed Jun 22 2011 pingou <pingou@pingoured.fr> 1.30.0-1
- Update to version 1.30.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 pingou <pingou@pingoured.fr> 1.28.0-1
- Update to version 1.28.0

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.24.2-1
- Update to 1.24.2
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Sun Aug 31 2009 pingou <pingou@pingoured.fr> 1.22.1-3
- Change BR from tetex-latex to tex(latex) to reflect new guidelines change
- Correct typo in the description

* Wed Aug 19 2009 pingou <pingou@pingoured.fr> 1.22.1-2
- Add R-preprocessCore-devel as BR (oops)

* Wed Aug 19 2009 pingou <pingou@pingoured.fr> 1.22.1-1
- Update to 1.22.1 which correct license issue

* Sat Aug 01 2009 pingou <pingou@pingoured.fr> 1.22.0-1
- initial package for Fedora
